/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "sensorfw", "index.html", [
    [ "Sensor Framework API documentation", "index.html", "index" ],
    [ "Dbus Interface", "dbusinterface.html", null ],
    [ "Developer Documentation", "developer.html", [
      [ "Sensor driver guideline", "developer.html#driverguide", null ],
      [ "Instructions For Writing Plug-ins for Sensor Framework", "developer.html#plugins", [
        [ "Plug-ins", "developer.html#pluginsubsection", [
          [ "Writing a Plug-in", "developer.html#writingpluginsub", null ]
        ] ],
        [ "Writing an Adaptor", "developer.html#writingadaptorsub", [
          [ "Interrupt based or busypoll", "developer.html#pollparagraph", null ],
          [ "Buffers", "developer.html#bufferparagraph", null ],
          [ "Reading data from driver", "developer.html#readingdataparagraph", null ],
          [ "Metadata", "developer.html#metadataparagraph", null ],
          [ "Implementing A Device Adaptor - the hardway", "developer.html#adaptorshardway", null ]
        ] ],
        [ "Writing a Filter", "developer.html#writingfilter", null ],
        [ "Writing a Sensor", "developer.html#writingsensorsection", null ],
        [ "Writing a Chain", "developer.html#writingchain", null ],
        [ "Metadata", "developer.html#metadatasubsection", null ],
        [ "Interval range(s)", "developer.html#rangesubsection", null ],
        [ "Data range(s)", "developer.html#datarangesubsection", null ],
        [ "Standby override", "developer.html#standbysubsection", null ],
        [ "Buffer size and interval", "developer.html#buffersubsection", null ]
      ] ],
      [ "Configuration Files", "developer.html#configurationsection", null ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", null ],
        [ "Typedefs", "namespacemembers_type.html", null ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", null ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", null ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Symbols", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Variables", "globals_vars.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"abstractsensor__i_8h.html",
"adaptors_2accelerometeradaptor_2moc__predefs_8h.html#a97163404b3b71f857e35be74607f88f7",
"adaptors_2alsadaptor-ascii_2moc__predefs_8h.html#a4bd7bc94412d84b84388c574770b4549",
"adaptors_2alsadaptor-ascii_2moc__predefs_8h.html#aeb56455e98000942147dfd63ec1c2fa6",
"adaptors_2alsadaptor-evdev_2moc__predefs_8h.html#a8ef55ba782e9d01cb22911f97168d06a",
"adaptors_2alsadaptor-sysfs_2moc__predefs_8h.html#a405cee4934ed56c9a4aa4e7dc4380bd2",
"adaptors_2alsadaptor-sysfs_2moc__predefs_8h.html#ae7afb460abc6122c6a5f206d78bcae4e",
"adaptors_2alsadaptor_2moc__predefs_8h.html#a87b7ceac2198cab045e40c9a64b11679",
"adaptors_2gyroscopeadaptor-evdev_2moc__predefs_8h.html#a3aa761811887b1634bfca566fa671424",
"adaptors_2gyroscopeadaptor-evdev_2moc__predefs_8h.html#ad62096dceb9fc55727c82df7ac9fc83f",
"adaptors_2gyroscopeadaptor_2moc__predefs_8h.html#a7e0518c0e5573e3c636ce77ae39f7c58",
"adaptors_2humidityadaptor_2moc__predefs_8h.html#a300c6970bb64b04e45a9c2ed139ecce8",
"adaptors_2humidityadaptor_2moc__predefs_8h.html#acfffb302850fa081bd63c30573077004",
"adaptors_2iioadaptor_2moc__predefs_8h.html#a771dcf9433ec3eae99c1124058d93e88",
"adaptors_2kbslideradaptor_2moc__predefs_8h.html#a27b5eb7cfda61c7f1baeb4d95f3052bb",
"adaptors_2kbslideradaptor_2moc__predefs_8h.html#ac78bd9aa228604eff22232964d6a2c91",
"adaptors_2lidsensoradaptor-evdev_2moc__predefs_8h.html#a711d7b7f27671b10b11a74c37f653ad7",
"adaptors_2magnetometeradaptor-ascii_2moc__predefs_8h.html#a1f4c572c6b5b4fe3e7c81bc48272e56b",
"adaptors_2magnetometeradaptor-ascii_2moc__predefs_8h.html#ac1175c9478c586edee06d1f788a03b83",
"adaptors_2magnetometeradaptor-evdev_2moc__predefs_8h.html#a6a0075167c73ebadfa350cf25b088686",
"adaptors_2magnetometeradaptor_2moc__predefs_8h.html#a165bf2f00e518485a1bb58c1918205b0",
"adaptors_2magnetometeradaptor_2moc__predefs_8h.html#ab6eb3d66486ef05ac7f1d489bfc675b4",
"adaptors_2pressureadaptor_2moc__predefs_8h.html#a63d6f5d1c3371192fe03b3fb06e82400",
"adaptors_2proximityadaptor-ascii_2moc__predefs_8h.html#a0a54ad5275069482576a8e26197c01db",
"adaptors_2proximityadaptor-ascii_2moc__predefs_8h.html#aaf28cf7b725ab4e0920f39086d80e146",
"adaptors_2proximityadaptor-evdev_2moc__predefs_8h.html#a5f5ce266e768d95b9fd04856e5826aff",
"adaptors_2proximityadaptor_2moc__predefs_8h.html#a01d0061df498c537ecd56d53f1130082",
"adaptors_2proximityadaptor_2moc__predefs_8h.html#aa4b8e94710cdb10a1bce40ca28f4f7db",
"adaptors_2tapadaptor_2moc__predefs_8h.html#a5922e567fc671cc2985da95b33544c16",
"adaptors_2tapadaptor_2moc__predefs_8h.html#afb3458ec122d5fb5304b68bc48184e4e",
"adaptors_2temperatureadaptor_2moc__predefs_8h.html#a9e077def8c310cdb5fef37666a92c5a5",
"adaptors_2touchadaptor_2moc__predefs_8h.html#a4f69990d03f9fb0c390a6fbad28a737b",
"adaptors_2touchadaptor_2moc__predefs_8h.html#af389192f04ad39f046990b2cd38806d9",
"chains_2accelerometerchain_2moc__predefs_8h.html#a7cf72a6f42a229ef52ea84f696861c4e",
"chains_2compasschain_2moc__predefs_8h.html#a2c25ec0f0ae74f9d8a7c373288a28dd1",
"chains_2compasschain_2moc__predefs_8h.html#acefa39ff476ff22ce343809fff1e8bc1",
"chains_2magcalibrationchain_2moc__predefs_8h.html#a768834e55cd5d1c30d24b0dbc83563cc",
"chains_2orientationchain_2moc__predefs_8h.html#a260281f3f3cd1c287fce0d5bb737febb",
"chains_2orientationchain_2moc__predefs_8h.html#ac67712f8d687485a4bd1c0b0e2741771",
"classCalibratedMagneticFieldData.html#aa2810e5323a0e0e724624ba49beb7ec5",
"classHybrisGyroscopeAdaptor.html",
"classMpu6050AccelerometerAdaptorPlugin.html",
"classRotationSensorChannelInterface.html#a3813b95b723f372289920705678d4927",
"coordinatealignfilterplugin_8h.html",
"datatypes_2moc__predefs_8h.html#a98708440262c0e7482dea555d0f97289",
"dir_e798992647f312f846791aa4df8df267.html",
"filters_2avgaccfilter_2moc__predefs_8h.html#a9e0564ada348dff0b4436b156412f430",
"filters_2coordinatealignfilter_2moc__predefs_8h.html#a4f41dbe213ea9662c1fb0f5af562e363",
"filters_2coordinatealignfilter_2moc__predefs_8h.html#af291fd206f4078237248a3d15ce8717c",
"filters_2declinationfilter_2moc__predefs_8h.html#a9685ff8e617f3c5892c2a6fe3484f3b7",
"filters_2downsamplefilter_2moc__predefs_8h.html#a4b376612fb6ea83330a589449279da42",
"filters_2downsamplefilter_2moc__predefs_8h.html#aeb14f5cf7cca3a01c2f6a0015e981eb1",
"filters_2magcoordinatealignfilter_2moc__predefs_8h.html#a8d44614ef6d7f2bbbd9224d416d867b9",
"filters_2orientationinterpreter_2moc__predefs_8h.html#a401f5f43b9e96d82152bf7cec0be6dfd",
"filters_2orientationinterpreter_2moc__predefs_8h.html#ae3fab59b64b2e2824be946bb89f34350",
"filters_2rotationfilter_2moc__predefs_8h.html#a86bb5059d696b19082c1aff4ae93a87a",
"globals_eval.html",
"oemtabletmagnetometeradaptorplugin_8h.html",
"qt-api_2moc__predefs_8h.html#a711d7b7f27671b10b11a74c37f653ad7",
"sensord_2moc__predefs_8h.html#a135696718aa5b38e58be73aaece6654f",
"sensord_2moc__predefs_8h.html#ab572f59c4b0c5a1f4c2953f38a76d7b3",
"sensors_2accelerometersensor_2moc__predefs_8h.html#a60c56e472a1144b03053a2c7a2abb7fb",
"sensors_2alssensor_2moc__predefs_8h.html#a036c254077652f499bdf3e870c83320c",
"sensors_2alssensor_2moc__predefs_8h.html#aa7682d4c3e5ed9fca81cf37aee3ef19a",
"sensors_2compasssensor_2moc__predefs_8h.html#a5aa890f05b3876c70af76a6e5a8e910a",
"sensors_2compasssensor_2moc__predefs_8h.html#afc6ac46966747a9423f4a6bb3af94b55",
"sensors_2gyroscopesensor_2moc__predefs_8h.html#a9f017c860884c414d153283562738341",
"sensors_2hrmsensor_2moc__predefs_8h.html#a53186c3d05006947fb8bd09bcdb0d60c",
"sensors_2hrmsensor_2moc__predefs_8h.html#af4eb6c3c4da52a7fe202626ac4dc360e",
"sensors_2humiditysensor_2moc__predefs_8h.html#a98708440262c0e7482dea555d0f97289",
"sensors_2lidsensor_2moc__predefs_8h.html#a4c0e7daf2ae663a4f96693468bbb279f",
"sensors_2lidsensor_2moc__predefs_8h.html#aecf76d7a7f56ec1ed686b2bb99c6d863",
"sensors_2magnetometersensor_2moc__predefs_8h.html#a8faf1f097f05558889df4c44d052d35e",
"sensors_2orientationsensor_2moc__predefs_8h.html#a42bcb9278fa2b4721fe04fc0627055ce",
"sensors_2orientationsensor_2moc__predefs_8h.html#ae8f0035094061d550323c738b8d67601",
"sensors_2pressuresensor_2moc__predefs_8h.html#a889943b266851fe7e9cdac86795507aa",
"sensors_2proximitysensor_2moc__predefs_8h.html#a3b68223a25c19aec8b02a4ca73deedbe",
"sensors_2proximitysensor_2moc__predefs_8h.html#ad7a5615aea1516ee885112456cf695e8",
"sensors_2rotationsensor_2moc__predefs_8h.html#a808f04c28bb0ef2d6b77dd66564ad351",
"sensors_2stepcountersensor_2moc__predefs_8h.html#a309fa84aefd09132258bbe21c20ef7d4",
"sensors_2stepcountersensor_2moc__predefs_8h.html#ad149c0565fcf669b23f483e5b7f80dbd",
"sensors_2tapsensor_2moc__predefs_8h.html#a779a207685ad2b8ca4cdab02ece517eb",
"sensors_2temperaturesensor_2moc__predefs_8h.html#a281ab632befbb2d5567ff114e2fa18f9",
"sensors_2temperaturesensor_2moc__predefs_8h.html#aca2a716d3e84ccffe000390bb2e2fb38",
"sensors_2wristgesturesensor_2moc__predefs_8h.html#a726a020189392103a9404da070536e07",
"steaccelerometeradaptor_8h_source.html"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';